GNU bug report logs - #24569
Fwd: iconifying / framesize

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>; Keywords: moreinfo; merged with #24526; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 24569 <at> debbugs.gnu.org and "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24569 <at> debbugs.gnu.org:


Received: (at 24569) by debbugs.gnu.org; 5 Jun 2022 15:53:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 11:53:41 2022
Received: from localhost ([127.0.0.1]:33296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxsZR-0006pM-6X
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 11:53:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nxsZP-0006p5-9q; Sun, 05 Jun 2022 11:53:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=GZpfH8VWLxsrS8IL/PcuD0ZI2ZuYHd6z07CaqpGblUY=; b=aciJ4ZBoyeBqarS8h5dV10fUZo
 c6N8924P8OBnGpGUoE18of6HYlfdeHAiOGvlbvpfBAlXWeP2uVk3F/xidKTKtZQQhybc/d0vqy/2r
 Ln/jvnfQbsNk6Sqmhy+XwbnM0m+wAJFi9nOH2IwgmvNQR8veGedVJJqX/MJTZO9dsXo0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nxsZG-00031X-G3; Sun, 05 Jun 2022 17:53:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#24569: Fwd: iconifying / framesize
References: <2404679.08DogL2IpK@djunix>
 <dc7a6067-efd0-03bd-63ba-e4f550fd56c5@HIDDEN>
 <87fslki51t.fsf_-_@HIDDEN>
X-Now-Playing: Nils Petter =?utf-8?Q?Molv=C3=A6r's?= _Khmer_: "Access-Song
 Of Sand I"
Date: Sun, 05 Jun 2022 17:53:29 +0200
In-Reply-To: <87fslki51t.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Sun, 08 May 2022 14:26:22 +0200")
Message-ID: <878rqb14zq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: >> I installed
 a couple of fixes supposed to address this issue on what >> should eventually
 become Emacs 28. Whenever you have a chance to look >> into these things
 again please tell me your findings [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24569
Cc: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>,
 24526 <at> debbugs.gnu.org, 24569 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I installed a couple of fixes supposed to address this issue on what
>> should eventually become Emacs 28.  Whenever you have a chance to look
>> into these things again please tell me your findings.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Dieter, would it be possible for you to try Emacs 28.1 and see whether
> that fixes the issues you were seeing?

There was no response in a month, so I'm going to go ahead and guess
that Martin's changes fixed this problem, and I'm closing this bug
report.  If that's not the case, please respond to the debbugs address
and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24569; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24569 <at> debbugs.gnu.org:


Received: (at 24569) by debbugs.gnu.org; 8 May 2022 12:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 08:26:32 2022
Received: from localhost ([127.0.0.1]:53608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnfzc-0008H2-Jq
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 08:26:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nnfza-0008Gk-UZ; Sun, 08 May 2022 08:26:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=AFog1+oyZcNPoTaxK9j4rZpvOYhAoZ0hSBsEBiR2jlo=; b=XlA4m2Go7dkhOfMarLCLnaf4Tv
 C+VhI05wl3dOlYY0E3vMxvJHNFFfsY1W6zIxMHEO/Yt2eU5G2ruy3goM6RV7CHTJWUh1zDQgOz54X
 5NCF8oYpjSV2yTdMn+tOuV7G7i81kvavu46z8sXGNgMyhhUS27QaO/55udwz8WnGTlqc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nnfzS-0008Nq-Ol; Sun, 08 May 2022 14:26:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#24569: Fwd: iconifying / framesize
References: <2404679.08DogL2IpK@djunix>
 <dc7a6067-efd0-03bd-63ba-e4f550fd56c5@HIDDEN>
X-Now-Playing: Nina Simone's _The Montreux Years (1)_: "My Baby Just Cares
 for Me (Live At Casino Montreux, 13th July 1990)"
Date: Sun, 08 May 2022 14:26:22 +0200
In-Reply-To: <dc7a6067-efd0-03bd-63ba-e4f550fd56c5@HIDDEN> (martin rudalics's
 message of "Wed, 5 May 2021 10:52:09 +0200")
Message-ID: <87fslki51t.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  martin rudalics <rudalics@HIDDEN> writes: > I installed a
 couple of fixes supposed to address this issue on what > should eventually
 become Emacs 28. Whenever you have a chance to look > into these things again
 please tell me your findings. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24569
Cc: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>,
 24526 <at> debbugs.gnu.org, 24569 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

martin rudalics <rudalics@HIDDEN> writes:

> I installed a couple of fixes supposed to address this issue on what
> should eventually become Emacs 28.  Whenever you have a chance to look
> into these things again please tell me your findings.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Dieter, would it be possible for you to try Emacs 28.1 and see whether
that fixes the issues you were seeing?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24569; Package emacs. Full text available.
Merged 24526 24569. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2016 18:41:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 14:41:02 2016
Received: from localhost ([127.0.0.1]:38995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpgGT-0006OG-V6
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 14:41:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGS-0006Nb-Cn
 for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 14:41:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGM-00074a-D5
 for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 14:40:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_HK_NAME_DR
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56032)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGM-00074P-9v
 for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 14:40:54 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39861)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGJ-0008F3-Va
 for bug-gnu-emacs@HIDDEN; Thu, 29 Sep 2016 14:40:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGE-000733-To
 for bug-gnu-emacs@HIDDEN; Thu, 29 Sep 2016 14:40:50 -0400
Received: from mailout09.t-online.de ([194.25.134.84]:33420)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGE-00072P-NX
 for bug-gnu-emacs@HIDDEN; Thu, 29 Sep 2016 14:40:46 -0400
Received: from fwd29.aul.t-online.de (fwd29.aul.t-online.de [172.20.26.134])
 by mailout09.t-online.de (Postfix) with SMTP id 4F7C34278D61
 for <bug-gnu-emacs@HIDDEN>; Thu, 29 Sep 2016 20:40:44 +0200 (CEST)
Received: from djunix.karlsruhe.edu
 (XBEq-MZ1ohcre-JxjVeGkBSBaYofZGswhci1qKTNqGZHq8SRGAn2sCtWU96Eu87gCZ@[79.227.132.175])
 by fwd29.t-online.de
 with (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384 encrypted)
 esmtp id 1bpgGC-3PtHY80; Thu, 29 Sep 2016 20:40:44 +0200
Received: by djunix.karlsruhe.edu (Postfix, from userid 1000)
 id A5DA6300F0D2; Thu, 29 Sep 2016 20:40:28 +0200 (CEST)
From: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Fwd: iconifying / framesize
Date: Thu, 29 Sep 2016 20:40:28 +0200
Message-ID: <3443508.gMpq5YgAtQ@djunix>
Organization: privat
User-Agent: KMail/4.14.10 (Linux/4.1.31-30.4-default; KDE/4.14.18; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-ID: XBEq-MZ1ohcre-JxjVeGkBSBaYofZGswhci1qKTNqGZHq8SRGAn2sCtWU96Eu87gCZ
X-TOI-MSGID: 705aeba5-a718-4b02-b400-86b6b4a7ae00
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Dear listmembers,
herer are the results as requested by Martin:

emacs -geometry 135x34+35+20 -iconic
((outer-position 35 . 20) (outer-size 1251 . 850) (external-border-size 6 . 6) 
(title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 1239 . 29) 
(tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 1239 . 53) 
(internal-border-width . 0))

emacs -Q
((outer-po((outer-position 0 . 0) (outer-size 761 . 917) (external-border-size 
6 . 6) (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 749 . 
29) (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 749 . 53) 
(internal-border-width . 0))

emacs -iconic
((outer-position 35 . 20) (outer-size 756 . 908) (external-border-size 6 . 6) 
(title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 744 . 29) 
(tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 744 . 53) 
(internal-border-width . 0))

operating system: openSUSE leap 42.1 (linux) / KDE. The very same happens on 
openSUSE 13.1 and, without having tested, I am sure with openSUSE 13.2, too.

Thank you for looking into this - and feel free to ask for more information at 
any time.

By the way; emacs spits out the following message after start:

(emacs:25506): Gtk-WARNING **: Theme directory  of theme oxygen has no size 
field

(emacs:25464): GLib-GObject-WARNING **: The property GtkSettings:gtk-enable-
tooltips is deprecated and shouldn't be used anymore. It will be removed in a 
future version.


Take care





Dieter Jurzitza


-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                    76131 Karlsruhe

i




Acknowledgement sent to "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24569; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Jun 2022 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.